HomePhabricator

packaging: update the certifi dependency

Authored by mharbison72.

Description

packaging: update the certifi dependency

Not sure if this helps with recent certificate issues[1], but we might as well
keep this modern.

Note that certifi no longer claims py2 support, and there's a PR to add it back
in[2]. Py2 support was dropped in 2020.04.05.2 (which predates what's being
updated here). None of the *.py files have changed since the 2020.6.20 release,
and I was able to call certifi.where() in both a virtualenv and with
hg debugshell from an MSI install with this version, so we shouldn't be any
worse off than before.

[1] https://foss.heptapod.net/mercurial/tortoisehg/thg/-/issues/5745
[2] https://github.com/certifi/python-certifi/pull/154

Differential Revision: https://phab.mercurial-scm.org/D11609